Authorization: ********************{
"fullName": "John Doe",
"dob": "dob",
"profilePicture": "image",
"gender": "bio",
"industry": "bio",
"phone": "1234567890",
"countryCode": "+91",
"personalityType": "Explorer",
"location": {
"type": "Point",
"address": "ABC XYZ",
"coordinates": [
77.1025,
28.7041
],
"country": "USA",
"state": "California",
"city": "Los Angeles",
"zipCode": "987654"
},
"plan": "FREE",
"acceptTermsAndCondition": false,
"language": "en",
"notifications": {
"pushNotification": true,
"inAppNotification": true,
"goalReminders": true,
"mentalHealthPrompts": true
}
}curl --location --request PUT '/focus-pilot/api/v1/user/edit-profile' \
--header 'api_key;' \
--header 'deviceType;' \
--header 'deviceId;' \
--header 'timeZone;' \
--header 'language;' \
--header 'requestid;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"fullName": "John Doe",
"dob": "dob",
"profilePicture": "image",
"gender": "bio",
"industry": "bio",
"phone": "1234567890",
"countryCode": "+91",
"personalityType": "Explorer",
"location": {
"type": "Point",
"address": "ABC XYZ",
"coordinates": [
77.1025,
28.7041
],
"country": "USA",
"state": "California",
"city": "Los Angeles",
"zipCode": "987654"
},
"plan": "FREE",
"acceptTermsAndCondition": false,
"language": "en",
"notifications": {
"pushNotification": true,
"inAppNotification": true,
"goalReminders": true,
"mentalHealthPrompts": true
}
}'